



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Nginx入门讲解——初步认识了解nginx.conf配置文件以及配置多个虚拟主机</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Nginx入门讲解——初步认识了解nginx.conf配置文件以及配置多个虚拟主机</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-28 18:12:02 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>本文引自网络进攻学习之用https://blog.csdn.net/weixin_38111957/article/details/81080539</p>
<p>一、 引言<br />上节文章讲述了如何用信号控制Nginx服务的一些操作，当然除了这种方式还可以用其他的命令进行操作。</p>
<p>1."./sbin/nginx -s reload"&nbsp; = "kill -HUP 进程号" ，修改配置文件无需重启，即可重新加载配置文件</p>
<p>2."./sbin/nginx -s stop" = "kill -INT 进程号"，停止nginx服务。</p>
<p>3.有童鞋就问我每次使用kill，都需要查询他的进程号。在我们nginx安装目录下logs/nginx.pid文件，这个文件记录了nginx启动的进程号。适用方法如"kill -HUP `cat logs/nginx.pid`"（切记使用的符号是``这个，而不是单引号）</p>
<p>具体的可以输入"./sbin/nginx -h"来查看nginx还有哪些选项（以上命令操作都是进入了nginx的安装目录操作的）。</p>
<p>这一章节主要讲解nginx主要的配置文件，只有了解了配置文件的前提下，你才可以更好的去使用nginx。</p>
<p>二 、nginx.conf配置文件<br />对于小白来说，一开始看配置文件很蒙呀，以下配置文件把注释掉的配置已经去掉了，先看下对应的配置文件吧。</p>
<div>
<pre class="prettyprint linenums">//该文件是存放到nginx安装目录下conf文件夹中

//全局区

//代表着当前有一个工作的子进程，可以自行修改，但是太多了无益因为会争夺cpu资源。一般最多设置成cpu数*核数<br />
worker_processes  1;

//一般配置nginx的连接特性<br />
events {<br />
    //这里是指一个子进程最大允许连接1024个连接<br />
    worker_connections  1024;<br />
}

//这里是配置http服务器的主要段<br />
http {

    include       mime.types;<br />
    default_type  application/octet-stream;<br />
    sendfile        on;<br />
    keepalive_timeout  65;

    //这里是配置虚拟主机段<br />
    server {<br />
        listen       80;//监听的端口<br />
        server_name  localhost;//监听访问地址

        #charset koi8-r;

        #access_log  logs/host.access.log  main;

        //定位，把特殊的文件或者路径再次定位<br />
        location / {<br />
            root   html;//定位的目录，默认是ngxin安装目录下的html文件夹中<br />
            index  index.html index.htm;//定位的具体文件<br />
        }<br />
    }<br />
}</pre>
</div>
<h3>三、配置多个虚拟主机</h3>
<p>从配置文件上来看，server就是配置的虚拟主机。一个http段中可以包含多个虚拟主机，来监听不同的地址或者端口。</p>
<p>有没写清楚的地方，还希望各位指点指点，谢谢！</p>
<div>
<pre class="prettyprint linenums">   //基于ip配置虚拟主机<br />
   server {<br />
        listen 8080; //监听的端口<br />
        server_name 111.231.51.81;

        location / {<br />
            root html; //路径，这个指的nginx安装目录下html文件夹<br />
            index ip.html;//html文件下的具体的文件<br />
        }<br />
    }

    //基于域名配置的虚拟主机<br />
    server {<br />
        listen 80;<br />
        server_name qing48.cn;

        location / {<br />
            root html;<br />
            index qin48.html;<br />
        }<br />
    }</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/5qxn3mj8.html">css 实现悬浮效果</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8kyro69.html">jsoup抓取借书记录</a>
		</li>
						<li><a href="https://www.batexi.com/a/96o0xgy9.html">AngularJs  &dollar;http&period;post 数据后台获取不到数据问题 的解决过程</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmpmz79.html">&period;NET的三种缓存&lpar;页面缓存，控件缓存，自定义缓存&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnp6x0q.html">使用runtime给类动态添加方法并调用 - class&lowbar;addMethod</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnzkw08.html">Topo图</a>
		</li>
						<li><a href="https://www.batexi.com/a/8oklxwl9.html">Central Authentication Service</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1d3wr9.html">C&plus;&plus; dll调用-动态（显式）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8med2joq.html">Qt主窗体显示最前</a>
		</li>
						<li><a href="https://www.batexi.com/a/90md0mo8.html">php  ajax   下拉加载数据</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgl7p48.html">ACM  Robot Motion</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kj0pw79.html">EmberJS 为什么我偏爱 Ember&period;js 胜过 Angular 和 React&period;js</a>
		</li>
						<li><a href="https://www.batexi.com/a/95g0l06q.html">不常用但是很实用的css记录</a>
		</li>
						<li><a href="https://www.batexi.com/a/9600g339.html">使用maven插件构建docker镜像</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjpnd09.html">MVC简单用户登录授权认证</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdel409.html">vue 安装之路</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pw31v78.html">windows  安装python pip  Could not install packages due to anEnvironmentError&colon; &lbrack;WinError 5&rsqb; 拒绝访问</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdwk70j9.html">VS2015 scanf 函数报错 error C4996&colon; &amp;&num;39&semi;scanf&amp;&num;39&semi;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zyme7v9.html">Keil uVision4 for ARM 下增加支持C51&comma;C5x</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mjpjwo8.html">POJ 3176 Cow Bowling&lpar;dp&rpar;</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qyyvdnjq.html">微信小程序 table 简单测试</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r5nne4q.html">&amp;quot&semi;BLAME&amp;quot&semi; is out&period;</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zykvex9.html">Android Studio多渠道打包（一）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnvnd3k8.html">day10（闭包、import模块、函数命名空间）</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kjon259.html">recovery 下界面UI旋转90 180 270修改</a>
			</li>
						<li><a href="https://www.batexi.com/a/q25k0woq.html">Java内存管理 -JVM 垃圾回收</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j1mppw9.html">TURN Server Windows 安装程序</a>
			</li>
						<li><a href="https://www.batexi.com/a/93wpn2rq.html">ERROR 1050 &lpar;42S01&rpar;&colon; Table xxx already exists</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kjo2o39.html">VsCode中使用Emmet神器快速编写HTML代码</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r5n707q.html">老K漫谈区块链的共识（1）&mdash;&mdash;免信任的共识机制</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
